Package org.apache.sysds.runtime.functionobjects

# Class NotEquals

java.lang.Object
org.apache.sysds.runtime.functionobjects.FunctionObject
org.apache.sysds.runtime.functionobjects.ValueFunction
org.apache.sysds.runtime.functionobjects.ValueComparisonFunction
org.apache.sysds.runtime.functionobjects.NotEquals

All Implemented Interfaces:
  `Serializable`

public class NotEquals extends ValueComparisonFunction

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compare(boolean in1, boolean in2)`
`boolean`
`compare(double in1, double in2)`
`boolean`
`compare(long in1, long in2)`
`boolean`
`compare(String in1, String in2)`
`double`
`execute(double in1, double in2)`
execute() method that returns double is required since current map-reduce runtime can only produce matrices of doubles.
`static NotEquals`
`getNotEqualsFnObject()`
`boolean`
`isBinary()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`requiresCorrection, toString`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getNotEqualsFnObject

public static NotEquals getNotEqualsFnObject()

### execute

public double execute(double in1, double in2)
execute() method that returns double is required since current map-reduce runtime can only produce matrices of doubles. This method is used on MR side to perform comparisons on matrices like A!=B and A!=2.5

Overrides:
  `execute` in class `FunctionObject`

### compare

public boolean compare(double in1, double in2)

Specified by:
  `compare` in class `ValueComparisonFunction`

### compare

public boolean compare(long in1, long in2)

Specified by:
  `compare` in class `ValueComparisonFunction`

### compare

public boolean compare(boolean in1, boolean in2)

Specified by:
  `compare` in class `ValueComparisonFunction`

### compare

public boolean compare(String in1, String in2)

Specified by:
  `compare` in class `ValueComparisonFunction`

### isBinary

public boolean isBinary()

Overrides:
  `isBinary` in class `ValueFunction`